OnlyFans API
FanvueChats

Get Chat

Get a single chat by the fan's user UUID: its read state, mute state, unread count and last message. Proxies Fanvue's GET /v1/chats/{userUuid}.

GET
/api/fanvue/{fanvueAccount}/chats/{userUuid}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanvueAccount*string

The Fanvue Account ID

userUuid*string

The fan's Fanvue user UUID. Chats are keyed by the counterpart, so this is also the chat id.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fanvue/fanvue_acct_XXXXXXXXXXXXXXX/chats/f47ac10b-58cc-4372-a567-0e02b2c3d479"
{
  "data": {
    "createdAt": "2026-09-22T10:29:07.400Z",
    "lastMessageAt": "2026-09-22T10:46:04.712Z",
    "isRead": true,
    "unreadMessagesCount": 0,
    "isMuted": false,
    "user": {
      "uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "handle": "sarah-jones",
      "displayName": "Sarah Jones",
      "nickname": null,
      "isTopSpender": false,
      "avatarUrl": null,
      "registeredAt": "2026-09-21T12:05:33.176Z"
    },
    "lastMessage": {
      "sentAt": "2026-09-22T10:46:04.712Z",
      "text": "See you tonight!",
      "hasMedia": false,
      "hasGif": false,
      "type": "SINGLE_RECIPIENT",
      "mediaType": null,
      "uuid": "3b1f0a6c-92f1-4a58-9d0e-7c4b2a5f8d33",
      "senderUuid": "3bbe6394-2830-4646-a8ba-4a0a05426947",
      "senderRole": "CREATOR",
      "sentByUserId": null,
      "status": "Read"
    }
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055811,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}